<?php
defined('_VALID') or die('Restricted access');
include_once('class.dbackup.php');
$dbackupObj = new dbackup($configObj);
$action = $_REQUEST['action'];
$configObj->glTplObj->change_path($configObj->currentModulePath . 'html/templates/');
$configObj->glTplObj->set('configObj', $configObj);
$configObj->glTplObj->set('settingTab', true);
$configObj->glTplObj->set('dbackupTab', true);

switch ($action) {
    case 'importfile':
        if ($_REQUEST['ajax'] == 'Y') {
            
            $dbackupObj->importFiles($_REQUEST['zipfile']);
            $dbackupObj->load_dbackup();
            
        }
        break;
        
      case 'delzipfile':
        if ($_REQUEST['ajax'] == 'Y') {
            $dbackupObj->delfile($_REQUEST['zipfile']);
            $dbackupObj->load_dbackup();
        }
        break;
              

    default:
        $dbackupObj->load_dbackup();
        break;
}
?>
